If you are running 1.2.16 and are receiving an error message about the upgrade not being possible upon attempting to upgrade your OctoPrint installation, open the Settings dialog, click “Save” once (you don’t have to modify anything!) and then try again1. Your update should work now.

The reason for this being necessary is a small bug in 1.2.16: a missing migration step for a changed setting required for the update mechanism to work. Saving the settings triggers the migration step and fixes the issue.

This is also explained further in the release notes. The FAQ has been updated as well.

Footnotes

  1. To get the notification displayed again, either reload the page, or trigger it manually via Settings > “Software Update” > “Check for update now”.

Author
Gina Häußge
Published
08 Nov 2016
Category
Important Announcement